package transformer;

import timedistortion.Point;
import timedistortion.ITransform;

public class Horizontal extends AbstractTransformer implements ITransform {

	private static final float amount = 91.3f;
//	private static final float amount = 203.3f;

	@Override
	public void t(Point p) {
		float pos = p.ti + amount * (float)p.dy / (float)ictx.height;
		interpolate_linear(p, pos);
	}

}
